This bugzilla service is closed. All entries have been migrated to https://gitlab.com/libeigen/eigen
Bug 501 - Suppress mat/scalar aggressive optimization
Summary: Suppress mat/scalar aggressive optimization
Status: RESOLVED FIXED
Alias: None
Product: Eigen
Classification: Unclassified
Component: Core - general (show other bugs)
Version: unspecified
Hardware: All All
: Normal Unknown
Assignee: Nobody
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-22 11:09 UTC by Gael Guennebaud
Modified: 2019-12-04 11:50 UTC (History)
2 users (show)



Attachments

Description Gael Guennebaud 2012-08-22 11:09:37 UTC
Currently, mat/scalar or mat/=scalar are optimized as mat*(1/scalar) and mat *= (1/scalar) for non integer scalar types. This might result in invalid result in some borderline cases, as in:

http://forum.kde.org/viewtopic.php?f=74&t=107358

Proposal: remove this optimization and leave it to the user.
Comment 1 Gael Guennebaud 2012-09-08 11:53:41 UTC
https://bitbucket.org/eigen/eigen/changeset/93c59c59807e/
changeset:   93c59c59807e
user:        ggael
date:        2012-09-08 11:52:03
summary:     fix bug 501: remove aggressive mat/scalar optimization (was replaced by mat*(1/scalar) for non integer types)

https://bitbucket.org/eigen/eigen/changeset/11b65f0601c4/
changeset:   11b65f0601c4
branch:      3.1
Comment 2 Nobody 2019-12-04 11:50:00 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to gitlab.com's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.com/libeigen/eigen/issues/501.

Note You need to log in before you can comment on or make changes to this bug.